llvm.org GIT mirror llvm / 1592e5b
Regenerated configure after backing out 62553 and r62616. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@62778 91177308-0d34-0410-b5e6-96231b3b80d8 Tanya Lattner 11 years ago
2 changed file(s) with 0 addition(s) and 440 deletion(s). Raw diff Collapse all Expand all
2771427714 fi
2771527715
2771627716
27717 { echo "$as_me:$LINENO: checking for library containing ffi_call" >&5
27718 echo $ECHO_N "checking for library containing ffi_call... $ECHO_C" >&6; }
27719 if test "${ac_cv_search_ffi_call+set}" = set; then
27720 echo $ECHO_N "(cached) $ECHO_C" >&6
27721 else
27722 ac_func_search_save_LIBS=$LIBS
27723 cat >conftest.$ac_ext <<_ACEOF
27724 /* confdefs.h. */
27725 _ACEOF
27726 cat confdefs.h >>conftest.$ac_ext
27727 cat >>conftest.$ac_ext <<_ACEOF
27728 /* end confdefs.h. */
27729
27730 /* Override any GCC internal prototype to avoid an error.
27731 Use char because int might match the return type of a GCC
27732 builtin and then its argument prototype would still apply. */
27733 #ifdef __cplusplus
27734 extern "C"
27735 #endif
27736 char ffi_call ();
27737 int
27738 main ()
27739 {
27740 return ffi_call ();
27741 ;
27742 return 0;
27743 }
27744 _ACEOF
27745 for ac_lib in '' ffi; do
27746 if test -z "$ac_lib"; then
27747 ac_res="none required"
27748 else
27749 ac_res=-l$ac_lib
27750 LIBS="-l$ac_lib $ac_func_search_save_LIBS"
27751 fi
27752 rm -f conftest.$ac_objext conftest$ac_exeext
27753 if { (ac_try="$ac_link"
27754 case "(($ac_try" in
27755 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
27756 *) ac_try_echo=$ac_try;;
27757 esac
27758 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
27759 (eval "$ac_link") 2>conftest.er1
27760 ac_status=$?
27761 grep -v '^ *+' conftest.er1 >conftest.err
27762 rm -f conftest.er1
27763 cat conftest.err >&5
27764 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27765 (exit $ac_status); } &&
27766 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
27767 { (case "(($ac_try" in
27768 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
27769 *) ac_try_echo=$ac_try;;
27770 esac
27771 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
27772 (eval "$ac_try") 2>&5
27773 ac_status=$?
27774 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27775 (exit $ac_status); }; } &&
27776 { ac_try='test -s conftest$ac_exeext'
27777 { (case "(($ac_try" in
27778 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
27779 *) ac_try_echo=$ac_try;;
27780 esac
27781 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
27782 (eval "$ac_try") 2>&5
27783 ac_status=$?
27784 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27785 (exit $ac_status); }; }; then
27786 ac_cv_search_ffi_call=$ac_res
27787 else
27788 echo "$as_me: failed program was:" >&5
27789 sed 's/^/| /' conftest.$ac_ext >&5
27790
27791
27792 fi
27793
27794 rm -f core conftest.err conftest.$ac_objext \
27795 conftest$ac_exeext
27796 if test "${ac_cv_search_ffi_call+set}" = set; then
27797 break
27798 fi
27799 done
27800 if test "${ac_cv_search_ffi_call+set}" = set; then
27801 :
27802 else
27803 ac_cv_search_ffi_call=no
27804 fi
27805 rm conftest.$ac_ext
27806 LIBS=$ac_func_search_save_LIBS
27807 fi
27808 { echo "$as_me:$LINENO: result: $ac_cv_search_ffi_call" >&5
27809 echo "${ECHO_T}$ac_cv_search_ffi_call" >&6; }
27810 ac_res=$ac_cv_search_ffi_call
27811 if test "$ac_res" != no; then
27812 test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
27813
27814 cat >>confdefs.h <<\_ACEOF
27815 #define HAVE_LIBFFI 1
27816 _ACEOF
27817
27818 else
27819 { echo "$as_me:$LINENO: WARNING: libffi not found - disabling external calls from interpreter" >&5
27820 echo "$as_me: WARNING: libffi not found - disabling external calls from interpreter" >&2;}
27821 fi
27822
27823
2782427717 { echo "$as_me:$LINENO: checking for library containing mallinfo" >&5
2782527718 echo $ECHO_N "checking for library containing mallinfo... $ECHO_C" >&6; }
2782627719 if test "${ac_cv_search_mallinfo+set}" = set; then
3006229955 HAVE_PTHREAD=0
3006329956
3006429957 fi
30065
30066 if test "${ac_cv_header_ffi_ffi_h+set}" = set; then
30067 { echo "$as_me:$LINENO: checking for ffi/ffi.h" >&5
30068 echo $ECHO_N "checking for ffi/ffi.h... $ECHO_C" >&6; }
30069 if test "${ac_cv_header_ffi_ffi_h+set}" = set; then
30070 echo $ECHO_N "(cached) $ECHO_C" >&6
30071 fi
30072 { echo "$as_me:$LINENO: result: $ac_cv_header_ffi_ffi_h" >&5
30073 echo "${ECHO_T}$ac_cv_header_ffi_ffi_h" >&6; }
30074 else
30075 # Is the header compilable?
30076 { echo "$as_me:$LINENO: checking ffi/ffi.h usability" >&5
30077 echo $ECHO_N "checking ffi/ffi.h usability... $ECHO_C" >&6; }
30078 cat >conftest.$ac_ext <<_ACEOF
30079 /* confdefs.h. */
30080 _ACEOF
30081 cat confdefs.h >>conftest.$ac_ext
30082 cat >>conftest.$ac_ext <<_ACEOF
30083 /* end confdefs.h. */
30084 $ac_includes_default
30085 #include
30086 _ACEOF
30087 rm -f conftest.$ac_objext
30088 if { (ac_try="$ac_compile"
30089 case "(($ac_try" in
30090 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30091 *) ac_try_echo=$ac_try;;
30092 esac
30093 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30094 (eval "$ac_compile") 2>conftest.er1
30095 ac_status=$?
30096 grep -v '^ *+' conftest.er1 >conftest.err
30097 rm -f conftest.er1
30098 cat conftest.err >&5
30099 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30100 (exit $ac_status); } &&
30101 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
30102 { (case "(($ac_try" in
30103 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30104 *) ac_try_echo=$ac_try;;
30105 esac
30106 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30107 (eval "$ac_try") 2>&5
30108 ac_status=$?
30109 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30110 (exit $ac_status); }; } &&
30111 { ac_try='test -s conftest.$ac_objext'
30112 { (case "(($ac_try" in
30113 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30114 *) ac_try_echo=$ac_try;;
30115 esac
30116 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30117 (eval "$ac_try") 2>&5
30118 ac_status=$?
30119 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30120 (exit $ac_status); }; }; then
30121 ac_header_compiler=yes
30122 else
30123 echo "$as_me: failed program was:" >&5
30124 sed 's/^/| /' conftest.$ac_ext >&5
30125
30126 ac_header_compiler=no
30127 fi
30128
30129 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
30130 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
30131 echo "${ECHO_T}$ac_header_compiler" >&6; }
30132
30133 # Is the header present?
30134 { echo "$as_me:$LINENO: checking ffi/ffi.h presence" >&5
30135 echo $ECHO_N "checking ffi/ffi.h presence... $ECHO_C" >&6; }
30136 cat >conftest.$ac_ext <<_ACEOF
30137 /* confdefs.h. */
30138 _ACEOF
30139 cat confdefs.h >>conftest.$ac_ext
30140 cat >>conftest.$ac_ext <<_ACEOF
30141 /* end confdefs.h. */
30142 #include
30143 _ACEOF
30144 if { (ac_try="$ac_cpp conftest.$ac_ext"
30145 case "(($ac_try" in
30146 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30147 *) ac_try_echo=$ac_try;;
30148 esac
30149 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30150 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
30151 ac_status=$?
30152 grep -v '^ *+' conftest.er1 >conftest.err
30153 rm -f conftest.er1
30154 cat conftest.err >&5
30155 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30156 (exit $ac_status); } >/dev/null; then
30157 if test -s conftest.err; then
30158 ac_cpp_err=$ac_c_preproc_warn_flag
30159 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
30160 else
30161 ac_cpp_err=
30162 fi
30163 else
30164 ac_cpp_err=yes
30165 fi
30166 if test -z "$ac_cpp_err"; then
30167 ac_header_preproc=yes
30168 else
30169 echo "$as_me: failed program was:" >&5
30170 sed 's/^/| /' conftest.$ac_ext >&5
30171
30172 ac_header_preproc=no
30173 fi
30174
30175 rm -f conftest.err conftest.$ac_ext
30176 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
30177 echo "${ECHO_T}$ac_header_preproc" >&6; }
30178
30179 # So? What about this header?
30180 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
30181 yes:no: )
30182 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: accepted by the compiler, rejected by the preprocessor!" >&5
30183 echo "$as_me: WARNING: ffi/ffi.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
30184 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: proceeding with the compiler's result" >&5
30185 echo "$as_me: WARNING: ffi/ffi.h: proceeding with the compiler's result" >&2;}
30186 ac_header_preproc=yes
30187 ;;
30188 no:yes:* )
30189 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: present but cannot be compiled" >&5
30190 echo "$as_me: WARNING: ffi/ffi.h: present but cannot be compiled" >&2;}
30191 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: check for missing prerequisite headers?" >&5
30192 echo "$as_me: WARNING: ffi/ffi.h: check for missing prerequisite headers?" >&2;}
30193 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: see the Autoconf documentation" >&5
30194 echo "$as_me: WARNING: ffi/ffi.h: see the Autoconf documentation" >&2;}
30195 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: section \"Present But Cannot Be Compiled\"" >&5
30196 echo "$as_me: WARNING: ffi/ffi.h: section \"Present But Cannot Be Compiled\"" >&2;}
30197 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: proceeding with the preprocessor's result" >&5
30198 echo "$as_me: WARNING: ffi/ffi.h: proceeding with the preprocessor's result" >&2;}
30199 { echo "$as_me:$LINENO: WARNING: ffi/ffi.h: in the future, the compiler will take precedence" >&5
30200 echo "$as_me: WARNING: ffi/ffi.h: in the future, the compiler will take precedence" >&2;}
30201 ( cat <<\_ASBOX
30202 ## ----------------------------------- ##
30203 ## Report this to llvmbugs@cs.uiuc.edu ##
30204 ## ----------------------------------- ##
30205 _ASBOX
30206 ) | sed "s/^/$as_me: WARNING: /" >&2
30207 ;;
30208 esac
30209 { echo "$as_me:$LINENO: checking for ffi/ffi.h" >&5
30210 echo $ECHO_N "checking for ffi/ffi.h... $ECHO_C" >&6; }
30211 if test "${ac_cv_header_ffi_ffi_h+set}" = set; then
30212 echo $ECHO_N "(cached) $ECHO_C" >&6
30213 else
30214 ac_cv_header_ffi_ffi_h=$ac_header_preproc
30215 fi
30216 { echo "$as_me:$LINENO: result: $ac_cv_header_ffi_ffi_h" >&5
30217 echo "${ECHO_T}$ac_cv_header_ffi_ffi_h" >&6; }
30218
30219 fi
30220 if test $ac_cv_header_ffi_ffi_h = yes; then
30221
30222 cat >>confdefs.h <<\_ACEOF
30223 #define FFI_HEADER "ffi/ffi.h"
30224 _ACEOF
30225
30226 fi
30227
30228
30229 if test "${ac_cv_header_ffi_h+set}" = set; then
30230 { echo "$as_me:$LINENO: checking for ffi.h" >&5
30231 echo $ECHO_N "checking for ffi.h... $ECHO_C" >&6; }
30232 if test "${ac_cv_header_ffi_h+set}" = set; then
30233 echo $ECHO_N "(cached) $ECHO_C" >&6
30234 fi
30235 { echo "$as_me:$LINENO: result: $ac_cv_header_ffi_h" >&5
30236 echo "${ECHO_T}$ac_cv_header_ffi_h" >&6; }
30237 else
30238 # Is the header compilable?
30239 { echo "$as_me:$LINENO: checking ffi.h usability" >&5
30240 echo $ECHO_N "checking ffi.h usability... $ECHO_C" >&6; }
30241 cat >conftest.$ac_ext <<_ACEOF
30242 /* confdefs.h. */
30243 _ACEOF
30244 cat confdefs.h >>conftest.$ac_ext
30245 cat >>conftest.$ac_ext <<_ACEOF
30246 /* end confdefs.h. */
30247 $ac_includes_default
30248 #include
30249 _ACEOF
30250 rm -f conftest.$ac_objext
30251 if { (ac_try="$ac_compile"
30252 case "(($ac_try" in
30253 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30254 *) ac_try_echo=$ac_try;;
30255 esac
30256 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30257 (eval "$ac_compile") 2>conftest.er1
30258 ac_status=$?
30259 grep -v '^ *+' conftest.er1 >conftest.err
30260 rm -f conftest.er1
30261 cat conftest.err >&5
30262 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30263 (exit $ac_status); } &&
30264 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
30265 { (case "(($ac_try" in
30266 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30267 *) ac_try_echo=$ac_try;;
30268 esac
30269 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30270 (eval "$ac_try") 2>&5
30271 ac_status=$?
30272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30273 (exit $ac_status); }; } &&
30274 { ac_try='test -s conftest.$ac_objext'
30275 { (case "(($ac_try" in
30276 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30277 *) ac_try_echo=$ac_try;;
30278 esac
30279 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30280 (eval "$ac_try") 2>&5
30281 ac_status=$?
30282 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30283 (exit $ac_status); }; }; then
30284 ac_header_compiler=yes
30285 else
30286 echo "$as_me: failed program was:" >&5
30287 sed 's/^/| /' conftest.$ac_ext >&5
30288
30289 ac_header_compiler=no
30290 fi
30291
30292 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
30293 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
30294 echo "${ECHO_T}$ac_header_compiler" >&6; }
30295
30296 # Is the header present?
30297 { echo "$as_me:$LINENO: checking ffi.h presence" >&5
30298 echo $ECHO_N "checking ffi.h presence... $ECHO_C" >&6; }
30299 cat >conftest.$ac_ext <<_ACEOF
30300 /* confdefs.h. */
30301 _ACEOF
30302 cat confdefs.h >>conftest.$ac_ext
30303 cat >>conftest.$ac_ext <<_ACEOF
30304 /* end confdefs.h. */
30305 #include
30306 _ACEOF
30307 if { (ac_try="$ac_cpp conftest.$ac_ext"
30308 case "(($ac_try" in
30309 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30310 *) ac_try_echo=$ac_try;;
30311 esac
30312 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
30313 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
30314 ac_status=$?
30315 grep -v '^ *+' conftest.er1 >conftest.err
30316 rm -f conftest.er1
30317 cat conftest.err >&5
30318 echo "$as_me:$LINENO: \$? = $ac_status" >&5
30319 (exit $ac_status); } >/dev/null; then
30320 if test -s conftest.err; then
30321 ac_cpp_err=$ac_c_preproc_warn_flag
30322 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
30323 else
30324 ac_cpp_err=
30325 fi
30326 else
30327 ac_cpp_err=yes
30328 fi
30329 if test -z "$ac_cpp_err"; then
30330 ac_header_preproc=yes
30331 else
30332 echo "$as_me: failed program was:" >&5
30333 sed 's/^/| /' conftest.$ac_ext >&5
30334
30335 ac_header_preproc=no
30336 fi
30337
30338 rm -f conftest.err conftest.$ac_ext
30339 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
30340 echo "${ECHO_T}$ac_header_preproc" >&6; }
30341
30342 # So? What about this header?
30343 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
30344 yes:no: )
30345 { echo "$as_me:$LINENO: WARNING: ffi.h: accepted by the compiler, rejected by the preprocessor!" >&5
30346 echo "$as_me: WARNING: ffi.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
30347 { echo "$as_me:$LINENO: WARNING: ffi.h: proceeding with the compiler's result" >&5
30348 echo "$as_me: WARNING: ffi.h: proceeding with the compiler's result" >&2;}
30349 ac_header_preproc=yes
30350 ;;
30351 no:yes:* )
30352 { echo "$as_me:$LINENO: WARNING: ffi.h: present but cannot be compiled" >&5
30353 echo "$as_me: WARNING: ffi.h: present but cannot be compiled" >&2;}
30354 { echo "$as_me:$LINENO: WARNING: ffi.h: check for missing prerequisite headers?" >&5
30355 echo "$as_me: WARNING: ffi.h: check for missing prerequisite headers?" >&2;}
30356 { echo "$as_me:$LINENO: WARNING: ffi.h: see the Autoconf documentation" >&5
30357 echo "$as_me: WARNING: ffi.h: see the Autoconf documentation" >&2;}
30358 { echo "$as_me:$LINENO: WARNING: ffi.h: section \"Present But Cannot Be Compiled\"" >&5
30359 echo "$as_me: WARNING: ffi.h: section \"Present But Cannot Be Compiled\"" >&2;}
30360 { echo "$as_me:$LINENO: WARNING: ffi.h: proceeding with the preprocessor's result" >&5
30361 echo "$as_me: WARNING: ffi.h: proceeding with the preprocessor's result" >&2;}
30362 { echo "$as_me:$LINENO: WARNING: ffi.h: in the future, the compiler will take precedence" >&5
30363 echo "$as_me: WARNING: ffi.h: in the future, the compiler will take precedence" >&2;}
30364 ( cat <<\_ASBOX
30365 ## ----------------------------------- ##
30366 ## Report this to llvmbugs@cs.uiuc.edu ##
30367 ## ----------------------------------- ##
30368 _ASBOX
30369 ) | sed "s/^/$as_me: WARNING: /" >&2
30370 ;;
30371 esac
30372 { echo "$as_me:$LINENO: checking for ffi.h" >&5
30373 echo $ECHO_N "checking for ffi.h... $ECHO_C" >&6; }
30374 if test "${ac_cv_header_ffi_h+set}" = set; then
30375 echo $ECHO_N "(cached) $ECHO_C" >&6
30376 else
30377 ac_cv_header_ffi_h=$ac_header_preproc
30378 fi
30379 { echo "$as_me:$LINENO: result: $ac_cv_header_ffi_h" >&5
30380 echo "${ECHO_T}$ac_cv_header_ffi_h" >&6; }
30381
30382 fi
30383 if test $ac_cv_header_ffi_h = yes; then
30384
30385 cat >>confdefs.h <<\_ACEOF
30386 #define FFI_HEADER "ffi.h"
30387 _ACEOF
30388
30389 fi
30390
30391
3039229958
3039329959
3039429960
1919 /* Define if threads enabled */
2020 #undef ENABLE_THREADS
2121
22 /* Path to ffi.h */
23 #undef FFI_HEADER
24
2522 /* Define to 1 if you have `alloca', as a function or macro. */
2623 #undef HAVE_ALLOCA
2724
185182
186183 /* Define to 1 if you have the `elf' library (-lelf). */
187184 #undef HAVE_LIBELF
188
189 /* Define to 1 if you have the libffi library (-lffi). */
190 #undef HAVE_LIBFFI
191185
192186 /* Define to 1 if you have the `imagehlp' library (-limagehlp). */
193187 #undef HAVE_LIBIMAGEHLP